gr::gfdm::simple_preamble_sync_cc Class Reference

Synchronizes GFDM frame to known preamble. More...

`#include <simple_preamble_sync_cc.h>`

Inheritance diagram for gr::gfdm::simple_preamble_sync_cc:
[legend]

## Public Types

typedef boost::shared_ptr< simple_preamble_sync_cc > | sptr

## Static Public Member Functions

static sptr | make (int frame_len, int subcarriers, int cp_len, std::vector< gr_complex > preamble, const std::string &in_key, const std::string &out_key)
| Return a shared_ptr to a new instance of gfdm::simple_preamble_sync_cc.

## Detailed Description

Synchronizes GFDM frame to known preamble.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<simple_preamble_sync_cc> gr::gfdm::simple_preamble_sync_cc::sptr

## Member Function Documentation

## make()

static sptr gr::gfdm::simple_preamble_sync_cc::make | ( | int | frame_len,
|  | int | subcarriers,
|  | int | cp_len,
|  | std::vector< gr_complex > | preamble,
|  | const std::string & | in_key,
|  | const std::string & | out_key
| ) |  |

static

Return a shared_ptr to a new instance of gfdm::simple_preamble_sync_cc.

To avoid accidental use of raw pointers, gfdm::simple_preamble_sync_cc's constructor is in a private implementation class. gfdm::simple_preamble_sync_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- simple_preamble_sync_cc.h